Bug 27628 - Fix minor HTML markup errors in OPAC search results templates
Summary: Fix minor HTML markup errors in OPAC search results templates
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-04 17:32 UTC by Owen Leonard
Modified: 2021-02-17 21:07 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.03


Attachments
Bug 27628: Fix minor HTML markup errors in OPAC search results templates (5.25 KB, patch)
2021-02-04 17:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27628: Fix minor HTML markup errors in OPAC search results templates (5.31 KB, patch)
2021-02-04 18:17 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 27628: Fix minor HTML markup errors in OPAC search results templates (5.36 KB, patch)
2021-02-06 21:49 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-02-04 17:32:10 UTC
There are a couple of issues which need to be corrected which show up when validating the OPAC search results page:

 - A typo in opac-results.tt, an extra quote:

  <option value="newlist">[ New list ]</option>"

 - <span id="login4tags"> is repeated, creating duplicate ids. This can be changed to a class.
Comment 1 Owen Leonard 2021-02-04 17:41:35 UTC
Created attachment 116331 [details] [review]
Bug 27628: Fix minor HTML markup errors in OPAC search results templates

This patch makes a couple of minor corrections to templates related to
OPAC search results: An errant quote, and invalidly repeating ids.

The #login4tags id is changed to a class, and CSS related to this id
(which was not used) is removed. For consistency, the id is changed to a
class on the detail page as well.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - Perform a search in the OPAC. Confirm that the "Log in to add tags"
   link still looks correct at various browser widths.
 - Confirm that it works to trigger the login modal.
 - Validate the source of the page. There should be no errors.

 - View the detail page for a bibliographic record.
 - The "Log in to add tags" link should look correct and work correctly.
Comment 2 Lucas Gass 2021-02-04 18:17:33 UTC
Created attachment 116333 [details] [review]
Bug 27628: Fix minor HTML markup errors in OPAC search results templates

This patch makes a couple of minor corrections to templates related to
OPAC search results: An errant quote, and invalidly repeating ids.

The #login4tags id is changed to a class, and CSS related to this id
(which was not used) is removed. For consistency, the id is changed to a
class on the detail page as well.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - Perform a search in the OPAC. Confirm that the "Log in to add tags"
   link still looks correct at various browser widths.
 - Confirm that it works to trigger the login modal.
 - Validate the source of the page. There should be no errors.

 - View the detail page for a bibliographic record.
 - The "Log in to add tags" link should look correct and work correctly.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2021-02-06 21:49:34 UTC
Created attachment 116445 [details] [review]
Bug 27628: Fix minor HTML markup errors in OPAC search results templates

This patch makes a couple of minor corrections to templates related to
OPAC search results: An errant quote, and invalidly repeating ids.

The #login4tags id is changed to a class, and CSS related to this id
(which was not used) is removed. For consistency, the id is changed to a
class on the detail page as well.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - Perform a search in the OPAC. Confirm that the "Log in to add tags"
   link still looks correct at various browser widths.
 - Confirm that it works to trigger the login modal.
 - Validate the source of the page. There should be no errors.

 - View the detail page for a bibliographic record.
 - The "Log in to add tags" link should look correct and work correctly.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-02-08 13:58:12 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-02-12 13:36:34 UTC
Pushed to 20.11.x for 20.11.03
Comment 6 Andrew Fuerste-Henry 2021-02-17 21:07:50 UTC
Doesn't apply cleanly to 20.05. Please rebase if needed.